dropbox for slacko

Configuration wizards, scanners, remote desktop, etc.
Post Reply
Message
Author
telltom
Posts: 97
Joined: Sun 23 May 2010, 19:56

dropbox for slacko

#1 Post by telltom »

i'm trying to find dropbox for Slacko Pup531. I downloaded one off the forum but it doesn't open. if you can link me thanks.

User avatar
Geoffrey
Posts: 2355
Joined: Sun 30 May 2010, 08:42
Location: Queensland

Re: dropbox for slacko

#2 Post by Geoffrey »

telltom wrote:i'm trying to find dropbox for Slacko Pup531. I downloaded one off the forum but it doesn't open. if you can link me thanks.
If it was the dropbox_1.0.20.pet then you need python installed then the dropbox downloader will install the latest from dropbox, I just tried it and it still works.

I'm not sure whether you need the devx installed to get python, I think I had troulble with python with slacko so I used this one http://www.smokey01.com/jemimah/sfs/Python2.6-pygtk.sfs

anyway give that a go being a sfs you can always unload it, but I'm guessing it will work with the dropbox installer.

Geoffrey

linbie
Posts: 64
Joined: Sat 09 Jan 2010, 05:03

Re: dropbox for slacko

#3 Post by linbie »

telltom wrote:i'm trying to find dropbox for Slacko Pup531. I downloaded one off the forum but it doesn't open. if you can link me thanks.
See opening post

http://www.murga-linux.com/puppy/viewtopic.php?t=65624

User avatar
DaveS
Posts: 3685
Joined: Thu 09 Oct 2008, 16:01
Location: UK

#4 Post by DaveS »

This should 'just work', no extra deps rqd.
http://puppylinuxstuff.meownplanet.net/DaveS/dropbox/
username: puppy
password: linux
You can have either the .pet or the sfs
Spup Frugal HD and USB
Root forever!

User avatar
Geoffrey
Posts: 2355
Joined: Sun 30 May 2010, 08:42
Location: Queensland

#5 Post by Geoffrey »

DaveS wrote:This should 'just work', no extra deps rqd.
http://puppylinuxstuff.meownplanet.net/DaveS/dropbox/
username: puppy
password: linux
You can have either the .pet or the sfs
Hi DaveS, every http://puppylinuxstuff.meownplanet.net link I have ever tried I get "OI! What are you doing? You're not supposed to be here! the bathroom's that-a-way >> OR: this is an error code 403, which means that access is forbidden." don't even get a user name password popup. I was just wondering why this might be :?

User avatar
technosaurus
Posts: 4853
Joined: Mon 19 May 2008, 01:24
Location: Blue Springs, MO
Contact:

#6 Post by technosaurus »

that is pretty ugly (huge for what it does), here is something differently ugly:
(I designed it to run on old gtk1 boxes with only Xdialog, curl, sed and tr ... feel free to tweak away)

Code: Select all

#!/bin/ash

check_deps(){
for i in $@; do
which $i > /dev/null || die "Error: dependency not found: $i"
done
}

cleanup(){
rm -f $DB_COOKIE $DB_RESPONSE
}

die(){
echo -e "$@"
cleanup
exit 1
}

drop(){ #upload a file or entire directory to dropbox
[ -f "$1" ] && curl --progress-bar -b $DB_COOKIE -o /dev/null -F "plain=yes" -F "dest=$DB_DIR" -F "t=$DB_TOKEN" -F "file=@$1" https://dl-web.dropbox.com/upload  2>&1 | tr "\r" "\n"|sed "s,# *,,gm"| Xdialog --title "Progress" --no-close --gauge "$1 \n Transferring ..." 0 0 && return 0
cd "$1"
for i in *; do
	drop "$i"
done
}

check_deps Xdialog curl sed tr
trap die SIGINT

if [ ! -f "$HOME/.dropbox" ]; then
DB_DIR="Public"
Xdialog --stdout --separator " " --password --3inputsbox "Account info" 0 0 "default folder" "$DB_DIR" "email" "$DB_EMAIL" password "$DB_PASSWD" | while read DB_DIR DB_EMAIL DB_PASSWD; do
echo '
DB_COOKIE="/tmp/DBC_$RANDOM"
DB_RESPONSE="/tmp/DBR_$RANDOM"
DB_DIR='$DB_DIR'
DB_EMAIL='$DB_EMAIL'
DB_PASSWD='$DB_PASSWD'
' > "${HOME}/.dropbox"
done
#can we save the DB_TOKEN too??? need to test a couple of days, to save traffic
fi
. ${HOME}/.dropbox

curl -s --show-error -i -c $DB_COOKIE -o $DB_RESPONSE --data "login_email=$DB_EMAIL&login_password=$DB_PASSWD&t=$DB_TOKEN" https://www.dropbox.com/login
DB_TOKEN=`curl -s --show-error -i -b "$DB_COOKIE" -o - https://www.dropbox.com/home |tr -d '\n' | \
sed 's/.*<form action="https:\/\/dl-web.dropbox.com\/upload"[^>]*>\s*<input type="hidden" name="t" value="\([a-z 0-9]*\)".*/\1/'`
[ "$DB_TOKEN" ] || die " Token failed!\n"

[ -d "$1" -o -f "$1" ] && drop "$1" || drop `Xdialog --stdout --fselect ./ 0 0 || exit`

cleanup
Check out my [url=https://github.com/technosaurus]github repositories[/url]. I may eventually get around to updating my [url=http://bashismal.blogspot.com]blogspot[/url].

User avatar
DaveS
Posts: 3685
Joined: Thu 09 Oct 2008, 16:01
Location: UK

#7 Post by DaveS »

Geoffrey wrote:
DaveS wrote:This should 'just work', no extra deps rqd.
http://puppylinuxstuff.meownplanet.net/DaveS/dropbox/
username: puppy
password: linux
You can have either the .pet or the sfs
Hi DaveS, every http://puppylinuxstuff.meownplanet.net link I have ever tried I get "OI! What are you doing? You're not supposed to be here! the bathroom's that-a-way >> OR: this is an error code 403, which means that access is forbidden." don't even get a user name password popup. I was just wondering why this might be :?
Its a permissions thing. The uploader has to set public permissions. I thought I had done that?
Spup Frugal HD and USB
Root forever!

telltom
Posts: 97
Joined: Sun 23 May 2010, 19:56

#8 Post by telltom »

thanks guys, i got it with dependencies included.

Vic20
Posts: 3
Joined: Mon 23 Jan 2012, 13:26

#9 Post by Vic20 »

Thanks! The .pet installed perfectly.

Cheers.
DaveS wrote:This should 'just work', no extra deps rqd.
http://puppylinuxstuff.meownplanet.net/DaveS/dropbox/
username: puppy
password: linux
You can have either the .pet or the sfs

Post Reply